// ALab v1.0: java package for creating experimental digital sounds and soundeffects
// Copyright (C) 2001 Michael Bliem   ALab@gmx.at      see 'license.txt' for details

package ALab;

import java.util.*;

/**
 * A class returning randomly generated values between
 * <code>-1</code> and <code>1</code>.
 * <br><br><IMG SRC="point.gif">
 *
 * @author  Michael Bliem
 * @version 1.0
 */
public class ARandom extends AObject {
  private Random rand = new Random();

  /** Creates a new object randomly generating values.
   * @param ch the amount of audio-channels. */
  public ARandom(int ch) { super(ch); }

  /** Creates a new <code>ARandom</code>
   * by copying the given <code>ARandom</code>.
   * @param o the given object. */
  protected ARandom(ARandom o) { super(o); }

  protected double getValue(int ch, int rate) throws AException {
    return rand.nextDouble() * 2 - 1; }

  public AObject copy() { return new ARandom(this); }
}