// ALab v1.0: java package for creating experimental digital sounds and soundeffects
// Copyright (C) 2001 Michael Bliem   ALab@gmx.at      see 'license.txt' for details

package ALab;

/**
 * A class triggering once. The first value asked for is <code>1</code>.
 * All following values are zero.
 * <br><br><IMG SRC="point.gif">
 *
 * @author  Michael Bliem
 * @version 1.0
 * @see ALab.AHold AHold
 */
public class ASimpleTrigger extends AObject {
  private boolean done = false;

  /** Creates a new single trigger.
   * @param ch the amount of channels. */
  public ASimpleTrigger(int ch) { super(ch); last = -1; }

  /** Creates a new <code>ASimpleTrigger</code>
   * by copying the given <code>ASimpleTrigger</code>.
   * @param o the given object. */
  protected ASimpleTrigger(ASimpleTrigger o) { super(o); last = -1; }

  protected double getValue(int ch, int rate) throws AException {
    if(isNewSample(ch)) done = true;
    if(done) return 0; else return 1; }

  public AObject copy() { return new ASimpleTrigger(this); }
}