// ALab v1.0: java package for creating experimental digital sounds and soundeffects
// Copyright (C) 2001 Michael Bliem   ALab@gmx.at      see 'license.txt' for details

package ALab;

/**
 * A sine generator. <br><br>
 * <IMG SRC="space.gif" WIDTH=50 HEIGHT=1>
 * <IMG SRC="ASin.gif" ALT="Diagram of the waveform.">
 * <br><br><IMG SRC="point.gif">
 *
 * @author  Michael Bliem
 * @version 1.0
 */
public class ASin extends AWave {
  /**
   * Creates a sine generator.
   * @param ch    the amount of audio channels.
   * @param freq  the frequency.
   * @param phase the phase.
   * @see ALab.AWave AWave
   */
  public ASin(int ch, double freq, double phase) {
    super(ch, freq, phase); }

  /** Creates a new <code>ASin</code>
   * by copying the given <code>ASin</code>.
   * @param w the given object. */
  protected ASin(AWave w) { super(w); }

  protected double getValue(int ch, int rate) throws AException {
    return Math.sin(nextPhase(ch, rate)); }

  public AObject copy() { return new ASin(this); }
}