// ALab v1.0: java package for creating experimental digital sounds and soundeffects
// Copyright (C) 2001 Michael Bliem   ALab@gmx.at      see 'license.txt' for details

package ALab;

/**
 * A triangle generator. <br><br>
 * <IMG SRC="space.gif" WIDTH=50 HEIGHT=1>
 * <IMG SRC="ATri.gif" ALT="Diagram of the waveform.">
 * <br><br><IMG SRC="point.gif">
 *
 * @author  Michael Bliem
 * @version 1.0
 */
public class ATri extends AWave {
  private static double factor = 2.0 / Math.PI;

  /**
   * Creates a triangle generator.
   * @param ch    the amount of audio channels.
   * @param freq  the frequency.
   * @param phase the phase.
   * @see ALab.AWave AWave
   */
  public ATri(int ch, double freq, double phase) {
    super(ch, freq, phase); }

  /** Creates a new <code>ATri</code>
   * by copying the given <code>ATri</code>.
   * @param w the given object. */
  protected ATri(AWave w) { super(w); }

  protected double getValue(int ch, int rate) throws AException {
    double p = nextPhase(ch, rate) * factor;
    if(p < -1) return -p - 2; else if(p > 1) return 2 - p; else return p; }

  public AObject copy() { return new ATri(this); }
}