// ALab v1.0: java package for creating experimental digital sounds and soundeffects
// Copyright (C) 2001 Michael Bliem   ALab@gmx.at      see 'license.txt' for details

package ALab;

/**
 * A class returning one value. Every call of the method {@link
 * ALab.AObject#nextValue(int, int) nextValue()} returns the same
 * value between <code>-1</code> and <code>1</code>.
 * <br><br><IMG SRC="point.gif">
 *
 * @author  Michael Bliem
 * @version 1.0
 */
public class AValue extends AObject {
  private double value;

  /** Creates a new value object.
   * @param ch the amount of audio-channels.
   * @param v the value to be returned. */
  public AValue(int ch, double v) { super(ch); setValue(v); }

  /** Creates a new <code>AValue</code>
   * by copying the given <code>AValue</code>.
   * @param o the given object. */
  protected AValue(AValue o) { super(o); setValue(o.getValue()); }

  /** Returns the value that will be returned. */
  public double getValue() { return value; }

  /** Sets the value that will be returned.
   * @param v the value. */
  public void setValue(double v) { value = v; }

  protected double getValue(int ch, int rate) throws AException {
    return value; }

  public AObject copy() { return new AValue(this); }
}