// ALab v1.0: java package for creating experimental digital sounds and soundeffects
// Copyright (C) 2001 Michael Bliem   ALab@gmx.at      see 'license.txt' for details

import ALab.*;

/** This example class always produces silence.
 * @author  Michael Bliem
 * @version 1.0 */
public class ASilence extends AObject {

  /** Creates a new silence producing object.
   * @param ch the amount of channels. */
  public ASilence(int ch) {
    // calls the constructor of AObject
    super(ch); }

  /** Creates a new <code>ASilence</code>
   * by copying the given <code>ASilence</code>.
   * @param o the given object. */
  protected ASilence(ASilence o) {
    // calls the copying constructor of AObject
    super(o); }

  // always returns zero (silence)
  protected double getValue(int ch, int rate) throws AException {
    return 0; }

  // returns a copy of itself by using its copying constructor
  public AObject copy() { return new ASilence(this); }
}

