// ALab v1.0: java package for creating experimental digital sounds and soundeffects
// Copyright (C) 2001 Michael Bliem   ALab@gmx.at      see 'license.txt' for details

import ALab.*;
import java.io.*;

public class cutSine {
  public static void main(String[] args) {
    try {
      OutputStream output = new FileOutputStream("cutSine.raw");
      AContainer store = new AContainer(2);

      // 440Hz sine created
      AWave wave = new ASin(2, 440, 0);

      // table cutting above 0.6 created
      ATable cut = new ATable(new AFile("cut.txt"));

      // table used on sine
      ATablelize sound = new ATablelize(wave, cut, null, 1);

      // ramp for modulating table mix
      // -1...table is linear
      //  1...table cuts at 0.6
      sound.setMixMod(new ARamp(2, -1, 1, 22050));

      store.append(sound, 22050);
      store.write(44100, 2, true, output);
      output.close(); }
    catch(Exception e) { System.out.println(e); }
  }
}


