// ALab v1.0: java package for creating experimental digital sounds and soundeffects
// Copyright (C) 2001 Michael Bliem   ALab@gmx.at      see 'license.txt' for details

import ALab.*;
import java.io.*;

public class pitchshift {
  public static void main(String[] args) {
    try {
      OutputStream output = new FileOutputStream("pitchshift.raw");
      output = new BufferedOutputStream(output);
      AContainer store = new AContainer(2);
      ASample file = new ASample(1, new AFile("dialog.raw"), 1, true, 0, 34000);

      // loops 100 samples (no pitchshift frequency: 8000 / 100 is 80 hz)
      // 120 hz means transpose up (+50%)
      // start set to end, but will be modulated to start at zero
      ASampleLoop snd = new ASampleLoop(file, 120, 0, 34000, 100);

      // ramp moves from 0 to 1 in 4.25 seconds (187425 samples)
      // the ramp is hold and triggered every new circle of snd (the loop)
      AHold ramp = new AHold(new ARamp(1, 0, 1, 187425), new AWaveTrigger(snd));

      // start is modulated by ramp
      snd.setStartMod(ramp);

      // smooth is set to 0.1 of half phase of loop
      snd.setSmooth(0.1);

      store.append(new ACombine(snd, snd), 187425);
      store.write(44100, 2, true, output);
      output.close(); }
    catch(Exception e) { System.out.println(e); }
  }
}


