// ALab v1.0: java package for creating experimental digital sounds and soundeffects
// Copyright (C) 2001 Michael Bliem   ALab@gmx.at      see 'license.txt' for details

import ALab.*;
import java.io.*;

public class re_mono {
  public static void main(String[] args) {
    try {
      OutputStream output = new FileOutputStream("re_mono.raw");
      output = new BufferedOutputStream(output);
      AContainer store = new AContainer(1);     // mono
      ASample file = new ASample(1, new AFile("dialog.raw"), 1, true, 0, 34000);

      // frequency calculation:
      //   whole file has 34000 samples at samplerate 8000
      //   file length is (34000 / 8000) 4.25 seconds
      //   to loop once in 4.25 seconds, frequency must be (1 / 4.25) 0.2353
      AObject snd = new ASampleLoop(file, 0.2353, 0, 0, 34000);

      // length calculation:
      //   whole file has 34000 samples at samplerate 8000
      //   resampling to 44100 hz is factor (44100 / 8000) 5.5125
      //   former 34000 samples are then (34000 x 5.5125) 187425
      store.append(snd, 187425);

      store.write(44100, 2, true, output);
      output.close(); }
    catch(Exception e) { System.out.println(e); }
  }
}


