// ALab v1.0: java package for creating experimental digital sounds and soundeffects
// Copyright (C) 2001 Michael Bliem   ALab@gmx.at      see 'license.txt' for details

import ALab.*;
import java.io.*;

public class re_stereo {
  public static void main(String[] args) {
    try {
      OutputStream output = new FileOutputStream("re_stereo.raw");
      output = new BufferedOutputStream(output);
      AContainer store = new AContainer(2);       // stereo
      ASample file = new ASample(1, new AFile("dialog.raw"), 1, true, 0, 34000);
      AObject samp = new ASampleLoop(file, 0.2353, 0, 0, 34000);

      // ACombine snd = new ACombine(samp, samp);

      // OR

      // first 101000 samples of file are played left
      AObject left = AExample.AEnv(samp, 0, 0, 1, 101000, 1000);

      // last 86000 samples are played right
      AObject rigt = AExample.AEnv(samp, 100000, 1000, 0, 1.0, 86000, 500);

      // left mono object and right mono object combined to one stereo
      ACombine snd = new ACombine(left, rigt);

      store.append(snd, 187425);
      store.write(44100, 2, true, output);
      output.close(); }
    catch(Exception e) { System.out.println(e); }
  }
}


