// ALab v1.0: java package for creating experimental digital sounds and soundeffects
// Copyright (C) 2001 Michael Bliem   ALab@gmx.at      see 'license.txt' for details

import ALab.*;
import java.io.*;

public class reverb {
  public static void main(String[] args) {
    try {
      OutputStream output = new FileOutputStream("reverb.raw");
      AContainer store = new AContainer(2);

      AObject fm  = AExample.ASinFM(2, 440, 333, 0.5);
      AObject env = AExample.AEnv(fm, 50, 200, 0.3, 500, 5000);

      // FM sound is buffered for faster calculation
      env = new ABuffer(env, 5750, 44100);

      // reverb with 3 delays
      // each with about 4000 samples delay and 4 echos
      AObject reverb = AExample.AReverb(env, 3, 4000, 4);

      store.append(reverb, 32000);
      store.write(44100, 2, true, output);
      output.close(); }
    catch(Exception e) { System.out.println(e); }
  }
}