// ALab v1.0: java package for creating experimental digital sounds and soundeffects
// Copyright (C) 2001 Michael Bliem   ALab@gmx.at      see 'license.txt' for details

import ALab.*;
import java.io.*;

public class sine2 {
  public static void main(String[] args) {
    try {
      OutputStream output = new FileOutputStream("sine2.raw");
      AContainer store = new AContainer(2);

      // stereo sine at 440Hz is created
      AWave wave = new ASin(2, 440, 0);

      // amplitude of sine is set to maximum
      AAmp amp = new AAmp(wave, 1, 0);

      // stereo ramp with 22050 samples length created
      // start value is maximum
      // end   value is zero
      ARamp ramp = new ARamp(2, 1, 0, 22050);

      // amplitude is modulated by ramp
      amp.setAmpMod(ramp);

      store.append(amp, 22050);
      store.write(44100, 2, true, output);
      output.close(); }
    catch(Exception e) { System.out.println(e); }
  }
}

