// ALab v1.0: java package for creating experimental digital sounds and soundeffects
// Copyright (C) 2001 Michael Bliem   ALab@gmx.at      see 'license.txt' for details

import ALab.*;
import java.io.*;

public class store {
  public static void main(String[] args) {
    try {
      OutputStream output = new FileOutputStream("store.raw");

      // output buffered for faster writing to disk
      output = new BufferedOutputStream(output);

      AContainer store = new AContainer(2);
      ATable tab1 = new ATable(new AFile("wavetab1.txt"));
      ATable tab2 = new ATable(new AFile("wavetab2.txt"));

      AObject snd = new ATablelize(new ASimpleWave(2, 440, 0), tab1, tab2, 1);

      // snd casted to ATablelize to avoke setMixMod()
      ((ATablelize)snd).setMixMod(AExample.ASinFM(2, 10, 5, 1));
      snd = new AMul(snd, new ATablelize(new ARamp(2, 1, 0, 22050), tab2, null, 1));

      // 22050 samples stored with 44kHz 16Bit and not updated
      snd = new AStore(snd, 22050, 44100, 2, "waveinterpolFM.tmp", false);

      store.append(snd, 22050);
      store.write(44100, 2, true, output);
      output.close(); }
    catch(Exception e) { System.out.println(e); }
  }
}


