// ALab v1.0: java package for creating experimental digital sounds and soundeffects
// Copyright (C) 2001 Michael Bliem   ALab@gmx.at      see 'license.txt' for details

import ALab.*;
import java.io.*;

public class waveinterpol {
  public static void main(String[] args) {
    try {
      OutputStream output = new FileOutputStream("waveinterpol.raw");
      AContainer store = new AContainer(2);

      // 440Hz wave for wavetable synthesis
      AWave wave = new ASimpleWave(2, 440, 0);

      // tables created
      ATable tab1 = new ATable(new AFile("wavetab1.txt"));
      ATable tab2 = new ATable(new AFile("wavetab2.txt"));

      // wavetable synthesis set to first table
      ATablelize sound = new ATablelize(wave, tab1, tab2, 1);

      // mix of tables modulated by ramp
      sound.setMixMod(new ARamp(2, 1, -1, 22050));

      store.append(sound, 22050);
      store.write(44100, 2, true, output);
      output.close(); }
    catch(Exception e) { System.out.println(e); }
  }
}


