// ALab v1.0: java package for creating experimental digital sounds and soundeffects
// Copyright (C) 2001 Michael Bliem   ALab@gmx.at      see 'license.txt' for details

import ALab.*;
import java.io.*;

public class waveinterpolFM {
  public static void main(String[] args) {
    try {
      OutputStream output = new FileOutputStream("waveinterpolFM.raw");
      AContainer store = new AContainer(2);

      AWave wave = new ASimpleWave(2, 440, 0);
      ATable tab1 = new ATable(new AFile("wavetab1.txt"));
      ATable tab2 = new ATable(new AFile("wavetab2.txt"));
      ATablelize sound = new ATablelize(wave, tab1, tab2, 1);

      // mix modulated by FM-sound
      sound.setMixMod(AExample.ASinFM(2, 10, 5, 1));

      // linear ramp for envelope creation
      ARamp lin = new ARamp(2, 1, 0, 22050);

      // ramp tabled by table2
      ATablelize env = new ATablelize(lin, tab2, null, 1);

      // interpolated sound enveloped by tabled ramp
      AMul envSound = new AMul(sound, env);

      store.append(envSound, 22050);
      store.write(44100, 2, true, output);
      output.close(); }
    catch(Exception e) { System.out.println(e); }
  }
}


